unit Thabout;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Rzlabel, ExtCtrls, Buttons, DsgnIntf, Stamps,
  ThTabs;

type
  TThAboutEditor = class( TComponentEditor )
    function GetVerbCount : Integer; override;
    function GetVerb( Index : Integer ) : string; override;
    procedure ExecuteVerb( Index : Integer ); override;
  end;


type
  TThAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ComponentName: TRzLabel;
    RzLabel2: TRzLabel;
    RzLabel3: TRzLabel;
    RzLabel4: TRzLabel;
    TimeStamp1: TTimeStamp;
    Label1: TLabel;
    OKButton: TBitBtn;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure Register;

implementation

{$R *.DFM}

function TThAboutEditor.GetVerbCount : Integer;
begin
  Result := 1;
end;


function TThAboutEditor.GetVerb( Index : Integer ) : string;
begin
  case Index of
    0: Result := 'About...';
  end;
end;


procedure TThAboutEditor.ExecuteVerb( Index : Integer );
var
  Dialog : TThAboutBox;

begin
  case Index of
    0 : begin
          Dialog := TThAboutBox.Create(Application);
          Dialog.ShowModal;
          Dialog.Free;
        end;
  end;
end;

procedure Register;

begin
  RegisterComponentEditor(TThTabSet,TThAboutEditor);
end;

end.
